%define module_name Lingua-Translator-Microsoft
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Response.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Moose.pm) perl(MooseX/HasDefaults/RO.pm) perl(MooseX/StrictConstructor.pm) perl(Params/Validate.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(URI.pm) perl(XML/Simple.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.2
Release: alt1
Summary: A client library for the Microsoft Translator API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LA/LARION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a client library for Microsoft's translate service. Currently you can use the following calls from the API:

=over 4

=item Translate

=item GetTranslations

=item Detect

=item Speak

=back

All API-calling methods croak() unless they get a successful reply from the service.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/L*

%changelog
* Tue Jan 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1
- regenerated from template by package builder

* Tue May 03 2016 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1
- regenerated from template by package builder

* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1
- initial import by package builder

